// packageC/entry_orders/money_detail/money_detail.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    selected:'0'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  swichTabTItem(e){
    console.log(e.detail.index);
    this.setData({
      selected: e.detail.index
    });
    this.getData();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var that = this;
    if(that.data.current_page < that.data.last_page){
      wx.showLoading({
        title: '加载中',
        mask: true,
      });
      that.setData({
        page:that.data.page+1
      });
      // console.log(that.data.page)
      that.getNext(this.data.selected);
    }else{
      wx.showToast({
        title: '没有更多',
        icon: 'none'
      });
    }
  },
  getNext(){
    let that = this;
    let _url  = "";
    if (this.data.selected == "0") {
      _url = "plugin.pending-order.frontend.dividend.index";
    } else if (this.data.selected == "1") {
      _url = "plugin.pending-order.frontend.dividend.carry-out";
    } else if (this.data.selected == "2") {
      _url = "plugin.pending-order.frontend.dividend.undone";
    } else if (this.data.selected == "3") {
      _url = "plugin.pending-order.frontend.dividend.invalid";
    }
    var urlStr = app.getNetAddresss(_url);
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          if(res.data.current_page > res.data.last_page){
            wx.hideLoading();
            wx.showToast({
              title: '没有更多',
              icon: 'none'
            });
            that.setData({
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
            return;
          }else{
            wx.hideLoading();
            that.setData({
              info: that.data.info.concat(res.data.data),
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
          }
        }else{
          console.log('请求失败');
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData() {
    let that = this;
    let _url  = "";
    if (this.data.selected == "0") {
      _url = "plugin.pending-order.frontend.dividend.index";
    } else if (this.data.selected == "1") {
      _url = "plugin.pending-order.frontend.dividend.carry-out";
    } else if (this.data.selected == "2") {
      _url = "plugin.pending-order.frontend.dividend.undone";
    } else if (this.data.selected == "3") {
      _url = "plugin.pending-order.frontend.dividend.invalid";
    }
    var urlStr = app.getNetAddresss(_url);
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info:res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        }else{
          console.log('请求失败');
        }
        if(res.result == 0){
          that.setData({
            info:false,
            errnone:res.msg
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
});